%define pypi_name pandas
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
 
Name:           python-pandas
Version:        0.18.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Powerful data structures for data analysis, time series,and statistics

License:        BSD
URL:            http://pandas.pydata.org/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-numpy-devel
BuildRequires:  python-tables
Requires:       python-sphinx >= 0.5

%description
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It
aims to be the fundamental high-level building block for doing practical,
real world data analysis in Python. 

%package -n python3-pandas
Summary:	    Powerful data structures for data analysis, time series,and statistics
Group:		    Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-setuptools

%description -n python3-pandas
pandas is an open source, BSD-licensed library providing 
high-performance, easy-to-use data structures and data 
analysis tools for the Python programming language.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-*.egg-info/

%files -n python3-pandas
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-*.egg-info/



%changelog
* Sat Apr 23 2016 joequant <joequant> 0.18.0-1.mga6
+ Revision: 1005617
- upgrade to 1.8.0

* Tue Feb 16 2016 umeabot <umeabot> 0.17.0-3.mga6
+ Revision: 962252
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 joequant <joequant> 0.17.0-2.mga6
+ Revision: 898667
- rebuild for numpy 1.10

* Fri Oct 16 2015 joequant <joequant> 0.17.0-1.mga6
+ Revision: 892037
- update to 0.17.0

* Thu Oct 08 2015 joequant <joequant> 0.16.2-2.mga6
+ Revision: 887397
- upgrade to 3.5

* Thu Jul 16 2015 joequant <joequant> 0.16.2-1.mga6
+ Revision: 854780
- upgrade to 0.16.2

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 750752
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.1-3.mga5
+ Revision: 729293
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-2.mga5
+ Revision: 688200
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 0.14.1-1.mga5
+ Revision: 669387
- update to 0.14.1

* Sat May 31 2014 pterjan <pterjan> 0.13.1-2.mga5
+ Revision: 628867
- Rebuild for new Python

* Sat Apr 12 2014 philippem <philippem> 0.13.1-1.mga5
+ Revision: 613606
- update to 0.13.1, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.12.0-3.mga4
+ Revision: 544062
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.12.0-2.mga4
+ Revision: 499051
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 0.12.0-1.mga4
+ Revision: 463297
- imported package python-pandas

